$AdfDhtmlSelectOneListboxPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectOneListboxPeer$$$$$GetSubIdDomElement$$($subElementId$$61_valueStr$$2$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$61_valueStr$$2$$);
  this.$getComponent$();
  var $domElem$$18_domElement$$691$$ = $AdfDhtmlSelectOneListboxPeer$$.$superclass$.$GetSubIdDomElement$.call(this, $subElementId$$61_valueStr$$2$$);
  return $domElem$$18_domElement$$691$$ ? $domElem$$18_domElement$$691$$ : "item[" == $subElementId$$61_valueStr$$2$$.substr(0, 5) ? ($domElem$$18_domElement$$691$$ = this.$getDomElement$(), $subElementId$$61_valueStr$$2$$ = $subElementId$$61_valueStr$$2$$.substring(5, $subElementId$$61_valueStr$$2$$.lastIndexOf("]")), $AdfSubIdUtils$$.$getChildElementByAttributeValue$($domElem$$18_domElement$$691$$, "_adfiv", $subElementId$$61_valueStr$$2$$, "li")) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneListboxPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectOneListboxPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectOneListboxPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectOneListboxPeer$$$$$GetBestMatchSubId$$($domElement$$692$$) {
  var $subId$$65$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$692$$, this, $AdfDhtmlSelectOneListboxPeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectOneListboxPeer$$);
  if (!$subId$$65$$ && "LI" == $domElement$$692$$.tagName) {
    for (var $listItemList$$ = this.$getDomNode$().getElementsByTagName("LI"), $i$$766$$ = 0;$i$$766$$ < $listItemList$$.length;$i$$766$$++) {
      if ($listItemList$$[$i$$766$$] == $domElement$$692$$) {
        $subId$$65$$ = "item[" + $listItemList$$[$i$$766$$].getAttribute("_adfiv") + "]";
        break;
      }
    }
  }
  return $subId$$65$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneListboxPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectOneListboxPeer$$.prototype.$GetBestMatchSubId$});
